aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 19:15:23 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 19:15:23 +0000
commit5c03a6c60c77b96650e4854408bf0edff49a6526 (patch)
tree31a21f10b35b02f93811bbb217077367c0372add /unmaintained
parent94a1033b259dc07f92432d0bb2b0a8cc22abd210 (diff)
downloadaports-5c03a6c60c77b96650e4854408bf0edff49a6526.tar.gz
aports-5c03a6c60c77b96650e4854408bf0edff49a6526.tar.bz2
aports-5c03a6c60c77b96650e4854408bf0edff49a6526.tar.xz
testing/lua-sqlite3: move to unmaintained
latest release requires luarocks to install
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/lua-sqlite3/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/unmaintained/lua-sqlite3/APKBUILD b/unmaintained/lua-sqlite3/APKBUILD
new file mode 100644
index 0000000000..935edd32fe
--- /dev/null
+++ b/unmaintained/lua-sqlite3/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Kaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>
+# Maintainer:
+pkgname=lua-sqlite3
+pkgver=0.8
+_vertag=svn08
+pkgrel=0
+pkgdesc="Sqlite3 wrapper for Lua"
+url=http://lua.sqlite.org/
+arch=all
+license=BSD
+makedepends="lua-dev pkgconfig sqlite-dev"
+_zipname=lsqlite3_$_vertag.zip?uuid=svn_8
+source=$url/index.cgi/zip/$_zipname
+
+_builddir=$srcdir/lsqlite3_$_vertag
+prepare() {
+ cd "$srcdir"
+ unzip "$_zipname"
+
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir/$i" || return 1;;
+ esac
+ done
+}
+
+build() {
+ make -C "$_builddir"
+}
+
+package() {
+ cd "$_builddir"
+ local dir=$pkgdir/usr/lib/lua/5.1
+ install -d "$dir"
+ install lsqlite3.so "$dir"
+}
+
+md5sums="0e0164091eb361110e057d01f2e6a006 lsqlite3_svn08.zip?uuid=svn_8"